Check boleto
curl --request POST \
--url https://api.sandbox.trio.com.br/banking/cashout/boleto/check \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "81620000001482115872026022712600000000001207"
}
'import requests
url = "https://api.sandbox.trio.com.br/banking/cashout/boleto/check"
payload = { "code": "81620000001482115872026022712600000000001207" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: '81620000001482115872026022712600000000001207'})
};
fetch('https://api.sandbox.trio.com.br/banking/cashout/boleto/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"amount": {
"amount": 100,
"currency": "BRL"
},
"barcode": "63391136900000001000001112265643600168303958",
"company_id": "1a760495-cb95-4023-96e8-0cff5776b011",
"digitable_line": "63390001161226564360601683039588113690000000100",
"id": "123e4567-e89b-12d3-a456-426614174000",
"inserted_at": "2026-02-20T17:38:42.001475Z",
"name": "Trio Pagamentos S.A.",
"org_id": "1a760495-cb95-4023-96e8-0cff5776b011",
"payer_name": "12345678910",
"payer_tax_number": "NOME DO PAYER",
"tax_number": "05964110000197",
"timestamp": "2026-02-20T17:38:42.001475Z",
"type": "boleto",
"updated_at": "2026-02-20T17:38:42.001475Z"
}
}{
"error": {
"error_code": "UNAUTHORIZED",
"error_message": "Invalid credentials"
}
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"error": {
"error_code": "INTEGRATION_ERROR",
"error_message": "An unexpected issue occurred"
}
}Boleto
Check boleto
Check a boleto barcode or line code
POST
/
banking
/
cashout
/
boleto
/
check
Check boleto
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/json
Check boleto payload
Check boleto request params
Boleto barcode or digitable_line
Response
Created
Response schema for a single boleto generation
Show child attributes
Show child attributes
⌘I

